## org.firebirdsql.jdbc
Class FBSQLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  org.firebirdsql.jdbc.FBSQLException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

Direct Known Subclasses:
  FBDriverConsistencyCheckException, FBDriverNotCapableException, FBMissingParameterException, FBResultSetNotUpdatableException, FBSQLParseException, ObjectCloseTraceException, TypeConvertionException

    public class FBSQLException

extends SQLException

Author:
  Ken Richard
See Also:
  Serialized Form

Field Summary
`static String` `SQL_STATE_COMM_LINK_FAILURE`
`static String` `SQL_STATE_CONNECTION_CLOSED`
`static String` `SQL_STATE_CONNECTION_FAILURE_IN_TX`
`static String` `SQL_STATE_GENERAL_ERROR`
`static String` `SQL_STATE_INVALID_ARG_VALUE`
`static String` `SQL_STATE_INVALID_COLUMN`
`static String` `SQL_STATE_INVALID_CONN_ATTR`
`static String` `SQL_STATE_INVALID_CONVERSION`
`static String` `SQL_STATE_INVALID_PARAM_TYPE`
`static String` `SQL_STATE_NO_RESULT_SET`
`static String` `SQL_STATE_NO_ROW_AVAIL`
`static String` `SQL_STATE_WRONG_PARAM_NUM`

Constructor Summary
`FBSQLException(Exception ex)`
`FBSQLException(GDSException ex)`
`FBSQLException(IOException ioex)`
`FBSQLException(javax.resource.ResourceException ex)`
`FBSQLException(String message)`
`FBSQLException(String message, SQLException ex)`
`FBSQLException(String message, String sqlState)`

Method Summary
`int` `getErrorCode()`
`Exception` `getInternalException()`
`String` `getMessage()`
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream s)`
`void` `printStackTrace(PrintWriter s)`

Methods inherited from class java.sql.SQLException
`getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SQL_STATE_INVALID_CONN_ATTR

    public static final String SQL_STATE_INVALID_CONN_ATTR

See Also:
  Constant Field Values

### SQL_STATE_NO_ROW_AVAIL

    public static final String SQL_STATE_NO_ROW_AVAIL

See Also:
  Constant Field Values

### SQL_STATE_GENERAL_ERROR

    public static final String SQL_STATE_GENERAL_ERROR

See Also:
  Constant Field Values

### SQL_STATE_INVALID_COLUMN

    public static final String SQL_STATE_INVALID_COLUMN

See Also:
  Constant Field Values

### SQL_STATE_INVALID_PARAM_TYPE

    public static final String SQL_STATE_INVALID_PARAM_TYPE

See Also:
  Constant Field Values

### SQL_STATE_INVALID_ARG_VALUE

    public static final String SQL_STATE_INVALID_ARG_VALUE

See Also:
  Constant Field Values

### SQL_STATE_WRONG_PARAM_NUM

    public static final String SQL_STATE_WRONG_PARAM_NUM

See Also:
  Constant Field Values

### SQL_STATE_NO_RESULT_SET

    public static final String SQL_STATE_NO_RESULT_SET

See Also:
  Constant Field Values

### SQL_STATE_INVALID_CONVERSION

    public static final String SQL_STATE_INVALID_CONVERSION

See Also:
  Constant Field Values

### SQL_STATE_CONNECTION_CLOSED

    public static final String SQL_STATE_CONNECTION_CLOSED

See Also:
  Constant Field Values

### SQL_STATE_CONNECTION_FAILURE_IN_TX

    public static final String SQL_STATE_CONNECTION_FAILURE_IN_TX

See Also:
  Constant Field Values

### SQL_STATE_COMM_LINK_FAILURE

    public static final String SQL_STATE_COMM_LINK_FAILURE

See Also:
  Constant Field Values

Constructor Detail

### FBSQLException

    public FBSQLException(Exception ex)

### FBSQLException

    public FBSQLException(IOException ioex)

### FBSQLException

    public FBSQLException(GDSException ex)

### FBSQLException

    public FBSQLException(javax.resource.ResourceException ex)

### FBSQLException

    public FBSQLException(String message)

### FBSQLException

    public FBSQLException(String message,
                          SQLException ex)

### FBSQLException

    public FBSQLException(String message,
                          String sqlState)

Method Detail

### getErrorCode

    public int getErrorCode()

  Overrides:
    `getErrorCode` in class `SQLException`

### getInternalException

    public Exception getInternalException()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Overrides:
    `printStackTrace` in class `Throwable`

Copyright © 2001-2010. All Rights Reserved.